local firstSky
local secondSky
local thirdSky

addHook("MapLoad", do

	if gamemap == 103 then
		for thing in mapthings.iterate do
			if thing.type == 780 then -- MT_SKYBOX then
				if thing.extrainfo == 0 then
					firstSky = thing.mobj
				elseif thing.extrainfo == 1 then
					secondSky = thing.mobj
				elseif thing.extrainfo == 2 then
					thirdSky = thing.mobj
				end
			end
		end
		for player in players.iterate do
			P_SetSkyboxMobj(firstSky, player)
		end
		
		local didSoftwareSwap = false
		hud.add(function(v)
			if didSoftwareSwap == false
				didSoftwareSwap = true
				if v.renderer() == "software" then
					for line in lines.iterate do
						if line.tag == 9898 or (line.tag >= 1230 and line.tag <= 1239) or (line.tag >= 1260 and line.tag <= 1269) then	
							if line.frontside != nil then
								line.frontside.toptexture = 719
								line.frontside.bottomtexture = 719
							end
							if line.backside != nil then
								line.backside.toptexture = 719
								line.backside.bottomtexture = 719
							end
						end
					end
				end
			end
		end, "game")
	end
end)

addHook("LinedefExecute", function (line, mobj)
	if mobj.player != nil then
		P_SetSkyboxMobj(nil, mobj.player)
		P_SetupLevelSky(865, mobj.player)
	end
end, "LLSKY1")

addHook("LinedefExecute", function (line, mobj)
	if mobj.player != nil then
		P_SetSkyboxMobj(secondSky, mobj.player)
	end
end, "LLSKY2")

addHook("LinedefExecute", function (line, mobj)
	if mobj.player != nil then
		P_SetSkyboxMobj(nil, mobj.player)
		P_SetupLevelSky(866, mobj.player)
	end
end, "LLSKY3")